
From: Bram Stolk <bram@sara.nl>

All modes that exceed the native resolution of a flatpanel are discarded. 
However, a CRT has native resolution set to 0, and therefore, tridentfb.c
cannot be used with a CRT.



 drivers/video/tridentfb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/tridentfb.c~tridentfb-non-flatpanel-fix drivers/video/tridentfb.c
--- 25/drivers/video/tridentfb.c~tridentfb-non-flatpanel-fix	2003-12-24 01:49:48.000000000 -0800
+++ 25-akpm/drivers/video/tridentfb.c	2003-12-24 01:50:09.000000000 -0800
@@ -723,7 +723,7 @@ static int tridentfb_check_var(struct fb
 	if (bpp == 24 )
 		bpp = var->bits_per_pixel = 32;
 	/* check whether resolution fits on panel and in memory*/
-	if (var->xres > nativex)
+	if (flatpanel && nativex && var->xres > nativex)
 		return -EINVAL;
 	if (var->xres * var->yres_virtual * bpp/8 > info->fix.smem_len)
 		return -EINVAL;

_
